Bug 1477130 - Outdated clamav database
Summary: Outdated clamav database
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmgrill
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ed Santiago
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1477777
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-01 10:05 UTC by Petr Pisar
Modified: 2018-11-30 22:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:09:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2017-08-01 10:05:17 UTC
On Tue, Aug 1, 2017 at 11:18 AM, Petr Pisar <ppisar@redhat.com> wrote in <qa-devel@lists.fedoraproject.org>:
> I received this test failure
> <https://taskotron.fedoraproject.org/artifacts/
> all/ad295f84-7690-11e7-a988-5254008e42f6/task_output/rpmgrill.json>:
>
> {
>          "module" : "VirusCheck",
>          "order" : 2,
>          "results" : [
>             {
>                "arch" : "src",
>                "code" : "ClamAV",
>                "context" : {
>                   "path" : "/libwbxml-0.11.5.tar.bz2"
>                },
>                "diag" : "ClamAV <b>Win.Trojan.Ramnit-5550</b> subtest
> triggered (ClamAV 0.99.2/21723/Mon Jun 13 13:53:00 2016)",
>                "subpackage" : "libwbxml"
>             }
>          ],
>          "run_time" : 9,
>          "status" : "completed"
>       },
>
> I checked it locally in Fedora 27 with the same result. The tarball
> contains
> win32/expat/libexpat.dll that triggers the antivirus.
>
> But look at the clamav database version (21723/Mon Jun 13 13:53:00 2016).
> It's
> more than a year old. After updating the database (you need to install
> clamav-update package and wait for a cronjob or run /usr/bin/freshclam as
> root
> manually), the hit went away. It's a false positive caused by Tasktron not
> updating the virus database.
>
> Please update the virus database regularly.
>
> -- Petr
>

Hi Petr,

thanks for the report. In the task, we just install rpmgrill and run it. If
rpmgrill reports outdated clamav results, it seems that's something that
should be fixed in rpmgrill itself (it could depend on clamav-update and
update the virus db before running the virus check). Can you please report
a bug against rpmgrill and post the link here? (We could do it ourselves
before running rpmgrill, but it seems cleaner to me if rpmgrill itself
performs this, because that's the tool responsible for running the virus
check - we're just a wrapper around it that schedules in on every koji
build. Furthermore, having it in rpmgrill will fix this for all users of
rpmgrill, regardless of execution). Thanks a lot.

Kamil

Comment 2 Jan Kurik 2017-08-15 08:11:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 14:38:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Petr Pisar 2018-11-27 15:00:18 UTC
I don't receive the out-dated ClamAV database errors from VirusCheck anymore.

Comment 6 Ben Cotton 2018-11-30 22:09:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.